
<?php session_start(); ?>
<?php 
 include('../_cfg/config.php');
 include('php_gene1.php');
 include('php_session.php');
?>

<?php
$xdescri="";
$xtabla=$_POST['ntabla'];
$xcodigo=$_POST['ncodigo'];
$xdescri=$_POST['ndescri'];

// require('../cfg/res.php');
// msql_query("SET NAMES 'utf8'");

if($xtabla=='enti' && strlen($xcodigo)==13)
{$xcodigo=substr($xcodigo,0,10).'001';}  


$sql_newcod='insert into '.$xtabla.'0('.$xtabla.'_codigo,'.$xtabla.'_descri,'.$xtabla.'_status,'.$xtabla.'_idate,'.$xtabla.'_iuser)' ;
$sql_newcod.='value("'.$xcodigo.'","NUEVO CODIGO","-",now(),"'.$_SESSION['user_vcrx_id'].'")' ;
$res_newcod=msql_query($sql_newcod,$link_vcrx);
 
if($xdescri!="")
{  
$sql_newcod='update '.$xtabla.'0 set '.$xtabla.'_descri="'.$xdescri.'" where '.$xtabla.'_codigo like "'.$xcodigo.'"' ;
$res_newcod=msql_query($sql_newcod,$link_vcrx);

  if($xtabla=='enti')
  {
  $sql_newcod='update user0 set user_descri="'.$xdescri.'" where user_cedula like "'.$xcodigo.'"' ;
  $res_newcod=msql_query($sql_newcod,$link_vcrx);
  }
}

// $sql_newcod='update '.$xtabla.'0 set '.$xtabla.'_razsoc="'.$xdescri.'" where '.$xtabla.'_razsoc is null and '.$xtabla.'_codigo like "'.$xcodigo.'"' ;
// $res_newcod=msql_query($sql_newcod,$link_vcrx);

// $sql_newcod='update '.$xtabla.'0 set '.$xtabla.'_nomcom="'.$xdescri.'" where '.$xtabla.'_nomcom is null and '.$xtabla.'_codigo like "'.$xcodigo.'"' ;
// $res_newcod=msql_query($sql_newcod,$link_vcrx);

// $sql_newcod='update '.$xtabla.'0 set '.$xtabla.'_razsoc="'.$xdescri.'" where '.$xtabla.'_razsoc="" and '.$xtabla.'_codigo like "'.$xcodigo.'"' ;
// $res_newcod=msql_query($sql_newcod,$link_vcrx);

// $sql_newcod='update '.$xtabla.'0 set '.$xtabla.'_nomcom="'.$xdescri.'" where '.$xtabla.'_nomcom="" and '.$xtabla.'_codigo like "'.$xcodigo.'"' ;
// $res_newcod=msql_query($sql_newcod,$link_vcrx);

$sql_newcod='update '.$xtabla.'0 set '.$xtabla.'_pais="ECUA" where '.$xtabla.'_pais is null and '.$xtabla.'_codigo like "'.$xcodigo.'"' ;
$res_newcod=msql_query($sql_newcod,$link_vcrx);


?>